/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ElementChoiceEvent.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.event {

import flash.events.Event;

import org.ow2.jasmine.monitoring.eos.notificationeditor.model.domain.SynchronizedRulePackage;


/**
 * @author Ph Durieux
 */
public class RulePackageListChangeEvent extends Event {

    // Event types
    public static var ADD_RULE_PACKAGE_TYPE:String = "addRulePackageType";
    public static var REMOVE_RULE_PACKAGE_TYPE:String = "removedRulePackageType";

    /**
     * The element added or removed
     */
    public var rulepackage:SynchronizedRulePackage;

    /**
     * Creates a new Event
     */
    public function RulePackageListChangeEvent(type:String, element:SynchronizedRulePackage) {
        super(type);
        this.rulepackage = element;
    }

}
}
