/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IRuleElementVO.as 8807 2011-09-06 14:34:57Z diorcety $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notificationeditor.vo.rulepackage.visual
{

import mx.collections.ArrayCollection;

import org.ow2.jasmine.monitoring.eos.notificationeditor.vo.rulepackage.IRulePackageMember;

/**
* An element of a rule
*
* @author Julien Nicoulaud
*/
[Bindable]
public interface IRuleElementVO extends IRulePackageMember
{
    /**
    * The displayable name of the element type
    */    
    function getName():String;
    
    /**
    * The description of the element type
    */
    function getDescription():String;
}
}
